<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Registro de Usuario</title>
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap">
    <style>
        body, html {
            margin: 0;
            padding: 0;
            height: 100vh;
            font-family: 'Roboto', sans-serif;
            display: flex;
            justify-content: center;
            align-items: center;
            flex-direction: column;
            background-color: rgb(130, 165, 235);
        }

        .logo-container {
            display: flex;
            justify-content: center;
            align-items: center;
            margin-bottom: 15px;
        }

        .logo-container img {
            max-width: 300px;
            height: auto;
        }

        .login-container {
            text-align: center;
            padding: 20px;
            border-radius: 10px;
            background-color: rgba(255, 255, 255, 0.3);
            border: 3px solid #fff;
            width: 350px;
            box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
        }

        h2 {
            font-size: 1.8rem;
            margin-bottom: 15px;
            font-weight: bold;
            color: #000;
        }

        form {
            display: flex;
            flex-direction: column;
            align-items: center;
            width: 100%;
        }

        label {
            display: block;
            text-align: center;
            width: 90%;
            font-weight: bold;
            color: #000;
            margin-bottom: 5px;
        }

        input[type="text"], input[type="email"], input[type="password"] {
            width: 90%;
            padding: 10px;
            margin-bottom: 10px;
            border: 1px solid #ccc;
            border-radius: 5px;
            font-size: 1rem;
            font-family: 'Roboto';
            color: black;
            text-align: center;
        }

        .button-container {
            display: flex;
            justify-content: space-between;
            width: 100%;
            margin-top: 10px;
        }

        .button {
            text-decoration: none;
            background-color: rgb(248, 104, 20);
            color: #fff;
            padding: 10px;
            border-radius: 5px;
            font-size: 1rem;
            font-weight: bold;
            transition: background-color 0.3s ease, transform 0.2s ease;
            text-align: center;
            width: 20%;
            border: none;
            cursor: pointer;
        }

        input[type="submit"] {
            background-color: rgb(248, 104, 20);
            color: #fff;
            padding: 10px;
            border-radius: 5px;
            font-size: 1rem;
            font-weight: bold;
            transition: background-color 0.3s ease, transform 0.2s ease;
            text-align: center;
            width: 45%;
            border: none;
            cursor: pointer;
        }

        .button:hover, input[type="submit"]:hover {
            background-color: #1976d2;
            transform: scale(1.05);
        }

        .error, .success {
            font-weight: bold;
            margin-top: 10px;
        }

        .error { color: #ff3d00; }
        .success { color: #4caf50; }

        @media (max-width: 768px) {
            .login-container {
                width: 95%;
                max-width: 300px;
                padding: 10px;
            }

            .button-container {
                flex-direction: column;
                gap: 10px;
                width: 100%;
            }

            .button, input[type="submit"] {
                width: 100%;
            }
        }
                .slogan {
            font-size: 1.2rem;
            font-weight: normal;
            color: white;
            text-shadow: 0 2px 3px rgba(0, 0, 0, 0.5);
            margin-bottom: 20px;
        }
                .main-title {
            font-size: 3rem;
            font-weight: bold;
            color: #ff6600; /* Naranja */
            text-shadow: 0 2px 4px rgba(255, 255, 255, 0.8), 0 0 10px rgba(255, 102, 0, 0.8);
            margin-bottom: 5px;
        }

    </style>
</head>
<body>
    <!-- Título principal -->
        <h1 class="main-title">💭Quiztudio🎓</h1>
        <p class="slogan">📚Aprende jugando📝</p> 

    <div class="login-container">
        <form id="formularioRegistro" method="post" action="ScriptRegistrarUsuario.php">
            <h2>Registro de Usuario</h2>
            
            <label for="nombreCompleto">Nombre Completo:</label>
            <input type="text" id="nombreCompleto" name="nombreCompleto" placeholder="Ingresa tu nombre completo" required>
            
            <label for="telefono">Teléfono:</label>
            <input type="text" id="telefono" name="telefono" placeholder="Ingresa tu número de teléfono" required>

            <label for="correoElectronico">Correo Electrónico:</label>
            <input type="email" id="correoElectronico" name="correoElectronico" placeholder="Ingresa tu correo" required>

            <label for="contrasena">Contraseña:</label>
            <input type="password" id="contrasena" name="contrasena" placeholder="Ingresa tu contraseña" required>

            <label for="repetirContrasena">Repetir Contraseña:</label>
            <input type="password" id="repetirContrasena" name="repetirContrasena" placeholder="Repite tu contraseña" required>

            <div class="button-container">
                <a href="index.php" class="button">Inicio</a>
                <input type="submit" value="Registrar">
            </div>
        </form>

        <?php if (isset($_GET['register'])): ?>
            <p class="<?php echo strpos($_GET['register'], 'exitosamente') !== false ? 'success' : 'error'; ?>">
                <?= htmlspecialchars($_GET['register']) ?>
            </p>
        <?php endif; ?>
    </div>
</body>
</html>