<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Quiztudio</title>
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap">
    <style>
        /* Estilos generales */
        body, html {
            margin: 0;
            padding: 0;
            height: 100%;
            font-family: 'Roboto', sans-serif;
            display: flex;
            justify-content: center;
            align-items: center;
            flex-direction: column;
            background-color: rgb(130, 165, 235); /* Azul uniforme */
        }

        /* Título principal */
        .main-title {
            font-size: 3rem;
            font-weight: bold;
            color: #ff6600; /* Naranja */
            text-shadow: 0 2px 4px rgba(255, 255, 255, 0.8), 0 0 10px rgba(255, 102, 0, 0.8);
            margin-bottom: 5px;
        }

        /* Eslogan */
        .slogan {
            font-size: 1.2rem;
            font-weight: normal;
            color: white;
            text-shadow: 0 2px 3px rgba(0, 0, 0, 0.5);
            margin-bottom: 20px;
        }

        /* Contenedor central de contenido */
        .container {
            text-align: center;
            padding: 20px;
            border-radius: 10px;
            background-color: rgba(255, 255, 255, 0.2); /* Blanco semi-transparente */
            border: 3px solid #fff;
            max-width: 350px;
        }

        /* Título */
        h1 {
            font-size: 2rem;
            margin-bottom: 10px;
            font-weight: bold;
        }

        /* Párrafo */
        p {
            font-size: 1rem;
            margin-bottom: 20px;
        }

        /* Botones */
        .button-container {
            display: flex;
            flex-direction: column;
            gap: 10px;
        }

        .button {
            text-decoration: none;
            background-color: rgb(248, 104, 20);
            color: #fff;
            padding: 10px 20px;
            border-radius: 5px;
            font-size: 1rem;
            font-weight: bold;
            transition: background-color 0.3s ease, transform 0.2s ease;
            text-align: center;
        }

        .button:hover {
            background-color: #1976d2;
            transform: scale(1.05);
        }

        /* Responsivo */
        @media (max-width: 768px) {
            .container {
                max-width: 300px;
            }
        }
    </style>
</head>
<body>
    <!-- Título principal -->
        <h1 class="main-title">💭Quiztudio🎓</h1>
        <p class="slogan">📚Aprende jugando📝</p>  

    <!-- Contenedor del formulario -->
    <div class="container">
        <h1>Bienvenido</h1>
        <p>Por favor, elige una opción:</p>
        <div class="button-container">
            <a href="RegistrarUsuario.php" class="button">Registrar Usuario</a>
            <a href="recuperar_contrasena.php" class="button">Recuperar Contraseña</a>
            <a href="login.php" class="button">Ingresar al Sistema</a>
        </div>
    </div>
</body>
</html>
