<?php
 if (isset($_GET['error'])) {
     $error = $_GET['error'];
     echo "<script>alert('Error: $error');</script>";
 }
?>

<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Inicio de Sesión - Quiztudio</title>
    <style>
        /* Estilos generales */
        body, html {
            margin: 0;
            padding: 0;
            height: 100vh;
            display: flex;
            justify-content: center;
            align-items: center;
            flex-direction: column;
            font-family: 'Roboto', sans-serif;
            background-color: rgb(130, 165, 235); /* Azul uniforme */
        }

        /* Contenedor principal */
        .container {
            display: flex;
            flex-direction: column;
            align-items: center;
            text-align: center;
        }

        /* Título principal */
        .main-title {
            font-size: 3rem;
            font-weight: bold;
            color: #ff6600; /* Naranja */
            text-shadow: 0 2px 4px rgba(255, 255, 255, 0.8), 0 0 10px rgba(255, 102, 0, 0.8);
            margin-bottom: 5px;
        }

        /* Eslogan */
        .slogan {
            font-size: 1.2rem;
            font-weight: normal;
            color: white;
            text-shadow: 0 2px 3px rgba(0, 0, 0, 0.5);
            margin-bottom: 20px;
        }


        /* Caja de inicio de sesión */
        .login-box {
            background-color: rgba(255, 255, 255, 0.3); /* Blanco semi-transparente */
            padding: 20px;
            border-radius: 10px;
            width: 350px;
            border: 3px solid #fff;
            box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.2);
            text-align: center;
        }

        /* Título de la caja */
        h2 {
            font-size: 1.8rem;
            margin-bottom: 10px;
            font-weight: bold;
            color: #000;
        }

        /* Texto descriptivo */
        p {
            font-size: 1rem;
            margin-bottom: 20px;
            color: #000;
        }

        /* Campos del formulario */
        .form-group {
            text-align: center;
            margin-bottom: 15px;
        }

        .form-group label {
            display: block;
            font-weight: bold;
            margin-bottom: 5px;
            color: #000;
        }

        .form-group input {
            width: 93%;
            padding: 10px;
            border: 1px solid #ccc;
            border-radius: 5px;
            font-size: 1rem;
            text-align: center;
        }

        /* Botón principal */
        .button {
            width: 100%;
            background-color: rgb(248, 104, 20);
            color: white;
            font-size: 1rem;
            font-weight: bold;
            padding: 10px;
            border: none;
            border-radius: 5px;
            cursor: pointer;
            transition: 0.3s;
            margin-bottom: 10px;
        }

        .button:hover {
            background-color: #1976d2;
        }

        /* Enlaces adicionales */
        .extra-links {
            display: flex;
            justify-content: space-between;
            font-size: 0.9rem;
            margin-top: 10px;
        }

        .extra-links a {
            text-decoration: none;
            font-weight: bold;
            color: #1976d2;
        }

        .extra-links a:hover {
            text-decoration: underline;
        }

        /* Responsivo */
        @media (max-width: 768px) {
            .login-box {
                width: 90%;
            }

        }
    </style>
</head>
<body>

    <div class="container">
        <!-- Título principal -->
        <h1 class="main-title">💭Quiztudio🎓</h1>
        <p class="slogan">📚Aprende jugando📝</p>  

        <!-- Caja de inicio de sesión -->
        <div class="login-box">
            <h2>Bienvenido</h2>
            <p>Por favor, ingresa tus datos:</p>

            <form action="validar_login.php" method="post">
                <div class="form-group">
                    <label for="correo">Correo Electrónico:</label>
                    <input type="email" id="correo" name="correo" placeholder="Ingresa tu correo" required>
                </div>
                <div class="form-group">
                    <label for="contrasena">Contraseña:</label>
                    <input type="password" id="contrasena" name="contrasena" placeholder="Ingresa tu contraseña" required>
                </div>
                <button type="submit" class="button">Ingresar al Sistema</button>
            </form>

            <!-- Enlaces adicionales -->
            <div class="extra-links">
                <a href="RegistrarUsuario.php">Registrar Usuario</a>
                <a href="recuperar_contrasena.php">Recuperar Contraseña</a>
            </div>
        </div>
    </div>

</body>
</html>