<?php
session_start();
include 'conexion.php';
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

$message = "";

// Verifica la conexión a la base de datos
if (!$conn) {
    die("Error de conexión: " . $conn->errorInfo()[2]);
}

// Si se ha enviado el formulario de recuperación de contraseña
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Obtener el correo electrónico ingresado por el usuario
    $correoElectronico = filter_var($_POST['correoElectronico'], FILTER_SANITIZE_EMAIL);
    
    try {
        // Verificar si el correo existe en la base de datos
        $stmt = $conn->prepare("SELECT * FROM usuarios WHERE correoElectronico = :correo");
        $stmt->bindParam(':correo', $correoElectronico);
        $stmt->execute();

        if ($stmt->rowCount() > 0) {
            // Generar un token único para el restablecimiento de contraseña
            $token = bin2hex(random_bytes(50)); // Token aleatorio de 50 bytes
            $fechaExpiracion = date("Y-m-d H:i:s", strtotime("+1 hour")); // El token expira en 1 hora

            // Guardar el token y su fecha de expiración en la base de datos
            $updateToken = $conn->prepare("UPDATE usuarios SET reset_token = :token, token_expiracion = :expiracion WHERE correoElectronico = :correo");
            $updateToken->bindParam(':token', $token);
            $updateToken->bindParam(':expiracion', $fechaExpiracion);
            $updateToken->bindParam(':correo', $correoElectronico);

            if ($updateToken->execute()) {
                // Crear enlace para restablecer la contraseña
                $resetLink = "http://localhost/quiztudio2/restablecer_contrasena.php?token=$token";
                $asunto = "Recupera tu Contraseña";
                $cuerpo = "Hola, para restablecer tu contraseña, haz clic en el siguiente enlace: <a href='$resetLink'>Restablecer mi contraseña</a>.<br><br>Este enlace expirará en 1 hora.";

                // Usar PHPMailer para enviar el correo
                require 'PHPMailer/src/Exception.php';
                require 'PHPMailer/src/PHPMailer.php';
                require 'PHPMailer/src/SMTP.php';

                $mail = new PHPMailer(true);
                try {
                    $mail->isSMTP();
                    $mail->Host = 'mail.appunitecnica.com';
                    $mail->SMTPAuth = true;
                    $mail->Username = 'cacastano@appunitecnica.com';
                    $mail->Password = 'Uni2024*';
                    $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;
                    $mail->Port = 465;

                    // Destinatarios
                    $mail->setFrom('cacastano@appunitecnica.com', 'Soporte Quiztudio');
                    $mail->addAddress($correoElectronico);

                    // Contenido del correo
                    $mail->isHTML(true);
                    $mail->Subject = $asunto;
                    $mail->Body = $cuerpo;

                    // Enviar correo
                    $mail->send();
                    $message = "<p class='success'>Se ha enviado un enlace de restablecimiento a tu correo electrónico. Revisa tu bandeja de entrada.</p>";
                } catch (Exception $e) {
                    $message = "<p class='error'>Hubo un error al enviar el correo: {$mail->ErrorInfo}</p>";
                }
            } else {
                $message = "<p class='error'>Hubo un problema al generar el token de recuperación.</p>";
            }
        } else {
            $message = "<p class='error'>El correo electrónico ingresado no está registrado.</p>";
        }
    } catch (PDOException $e) {
        $message = "<p class='error'>Error en la consulta: " . $e->getMessage() . "</p>";
    }
}

$conn = null;
?>

<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Recuperar Contraseña - Quiztudio</title>
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap">
    <style>
        body, html {
            margin: 0;
            padding: 0;
            height: 100vh;
            font-family: 'Roboto', sans-serif;
            display: flex;
            justify-content: center;
            align-items: center;
            flex-direction: column;
            background-color: rgb(130, 165, 235);
        }

        .container {
            display: flex;
            flex-direction: column;
            align-items: center;
            text-align: center;
        }

        /* Título principal */
        .main-title {
            font-size: 3rem;
            font-weight: bold;
            color: #ff6600; /* Naranja */
            text-shadow: 0 2px 4px rgba(255, 255, 255, 0.8), 0 0 10px rgba(255, 102, 0, 0.8);
            margin-bottom: 5px;
        }

        /* Eslogan */
        .slogan {
            font-size: 1.2rem;
            font-weight: normal;
            color: white;
            text-shadow: 0 2px 3px rgba(0, 0, 0, 0.5);
            margin-bottom: 20px;
        }

        .login-container {
            text-align: center;
            padding: 20px;
            border-radius: 10px;
            background-color: rgba(255, 255, 255, 0.3);
            border: 3px solid #fff;
            width: 350px;
            box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
        }

        h2 {
            font-size: 1.8rem;
            margin-bottom: 15px;
            font-weight: bold;
            color: #000;
        }

        form {
            display: flex;
            flex-direction: column;
            align-items: center;
            width: 100%;
        }

        label {
            display: block;
            text-align: center;
            width: 90%;
            font-weight: bold;
            color: #000;
            margin-bottom: 5px;
        }

        input[type="email"] {
            width: 90%;
            padding: 10px;
            margin-bottom: 10px;
            border: 1px solid #ccc;
            border-radius: 5px;
            font-size: 1rem;
            font-family: 'Roboto';
            color: black;
            text-align: center;
        }

        .button-container {
            display: flex;
            justify-content: space-between;
            width: 100%;
            margin-top: 10px;
        }

        .button {
            text-decoration: none;
            background-color: rgb(248, 104, 20);
            color: #fff;
            padding: 10px;
            border-radius: 5px;
            font-size: 1rem;
            font-weight: bold;
            transition: background-color 0.3s ease, transform 0.2s ease;
            text-align: center;
            width: 45%;
            border: none;
            cursor: pointer;
        }

        input[type="submit"] {
            background-color: rgb(248, 104, 20);
            color: #fff;
            padding: 10px;
            border-radius: 5px;
            font-size: 1rem;
            font-weight: bold;
            transition: background-color 0.3s ease, transform 0.2s ease;
            text-align: center;
            width: 45%;
            border: none;
            cursor: pointer;
        }

        .button:hover, input[type="submit"]:hover {
            background-color: #1976d2;
            transform: scale(1.05);
        }

        .error, .success {
            font-weight: bold;
            margin-top: 10px;
        }

        .error {
            color: #ff3d00;
        }

        .success {
            color: #4caf50;
        }

        @media (max-width: 768px) {
            .login-container {
                width: 95%;
                max-width: 300px;
                padding: 10px;
            }

            .button-container {
                flex-direction: column;
                gap: 10px;
                width: 100%;
            }

            .button, input[type="submit"] {
                width: 100%;
            }

            .main-title {
                font-size: 2.5rem;
            }

            .slogan {
                font-size: 1rem;
            }
        }
    </style>
</head>
<body>
    <div class="container">
    <!-- Título principal -->
        <h1 class="main-title">💭Quiztudio🎓</h1>
        <p class="slogan">📚Aprende jugando📝</p> 

        <!-- Contenedor de recuperación -->
        <div class="login-container">
            <form method="POST">
                <h2>Recuperar Contraseña</h2>

                <label for="correoElectronico">Correo Electrónico:</label>
                <input type="email" name="correoElectronico" id="correoElectronico" placeholder="Ingresa tu correo" required>

                <div class="button-container">
                    <a href="index.php" class="button">Inicio</a>
                    <input type="submit" value="Enviar Enlace">
                </div>
            </form>

            <!-- Mostrar el mensaje de error o éxito -->
            <?php if ($message): ?>
                <p class="<?php echo strpos($message, 'error') !== false ? 'error' : 'success'; ?>">
                    <?php echo strip_tags($message); ?>
                </p>
            <?php endif; ?>
        </div>
    </div>
</body>
</html>