<?php
session_start();

// Verificar si el usuario tiene una sesión activa
$correo = $_SESSION['correo'];
if (!isset($correo)) {
    echo "<script>location.href='index.php';</script>";
    exit(); // Asegurarse de que el script se detenga si no hay sesión activa
}
?>

<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Validación de Correo</title>
    <link rel="stylesheet" href="styles.css">
    <style>
        /* Estilos generales */
        body, html {
            margin: 0;
            padding: 0;
            height: 100vh;
            font-family: 'Roboto', sans-serif;
            display: flex;
            justify-content: center;
            align-items: center;
            flex-direction: column;
            background-color: rgb(130, 165, 235);
        }

        /* Contenedor de la imagen */
        .logo-container {
            display: flex;
            justify-content: center;
            align-items: center;
            margin-bottom: 1px;
        }

        .logo-container img {
            max-width: 500px; /* Ajusta el tamaño según prefieras */
            max-height: 500px;
        }

        /* Contenedor del formulario */
        .login-container {
            text-align: center;
            padding: 20px;
            border-radius: 10px;
            background-color: rgba(255, 255, 255, 0.3);
            border: 3px solid #fff;
            width: 350px;
            box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
        }

        /* Título */
        h2 {
            font-size: 1.8rem;
            margin-bottom: 15px;
            font-weight: bold;
            color: #000;
        }

        /* Formulario */
        form {
            display: flex;
            flex-direction: column;
            align-items: center;
            width: 100%;
        }

        label {
            display: block;
            text-align: center;
            width: 90%;
            font-weight: bold;
            color: #000;
            margin-bottom: 5px;
        }

        input[type="text"], input[type="email"], input[type="password"] {
            width: 90%;
            padding: 10px;
            margin-bottom: 10px;
            border: 1px solid #ccc;
            border-radius: 5px;
            font-size: 1rem;
            font-family: 'Roboto';
            color: black;
            text-align: center;
        }

        /* Contenedor de los botones */
        .button-container {
            display: flex;
            justify-content: space-between;
            width: 100%;
            margin-top: 10px;
        }

        /* Botones */
        .button {
            text-decoration: none;
            background-color: rgb(248, 104, 20);
            color: #fff;
            padding: 10px;
            border-radius: 5px;
            font-size: 1rem;
            font-weight: bold;
            transition: background-color 0.3s ease, transform 0.2s ease;
            text-align: center;
            width: 20%; /* Reducido el ancho */
            border: none;
            cursor: pointer;
        }

        input[type="submit"] {
            text-decoration: none;
            background-color: rgb(248, 104, 20);
            color: #fff;
            padding: 10px;
            border-radius: 5px;
            font-size: 1rem;
            font-weight: bold;
            transition: background-color 0.3s ease, transform 0.2s ease;
            text-align: center;
            width: 45%;
            border: none;
            cursor: pointer;
        }

        .button:hover, input[type="submit"]:hover {
            background-color: #1976d2;
            transform: scale(1.05);
        }

        .error {
            color: #ff3d00;
            font-weight: bold;
            margin-top: 10px;
        }

        /* Responsivo */
        @media (max-width: 768px) {
            }
            .login-container {
                width: 95%;
                max-width: 300px;
                padding: 10px;
            }

            .button-container {
                flex-direction: column;
                gap: 1px;
                padding: 1px;
                width: 100%;
            }

            .button, input[type="submit"] {
                width:99%;
                padding: 1px;
            }
        
    </style>
</head>
<body>
<div class="logo-container">
            <img src="brain.png" alt="Logo de Quiztudio">
        </div>

<div class="login-container">
    <h2>Validación de Correo</h2>
    <p>Escriba el código enviado a su correo electrónico</p>
    <form action="validar_verificacion_correo.php" method="post">
        <input type="text" name="Cod_Verificacion_Correo" placeholder="Código Verificación" required>
        <input type="hidden" name="correo" value="<?php echo $correo ?>">
        <input type="submit" value="Validar Correo">
    </form>
</div>

</body>
</html>
